Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Alvaro Ramirez <[email-masked]>
Date: Tue, 11 Feb 2025 08:03:18 +0000

Björn Bidar <[email-masked]> writes:

> Alvaro Ramirez <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>> Eli Zaretskii <[email-masked]> writes:
>>>
>>>>> From: Stefan Kangas <[email-masked]>
>>>>> Date: Mon, 10 Feb 2025 07:22:17 -0600
>>>>> Cc: [email-masked], [email-masked]
>>>>>
>>>>> That makes sense to me, thanks.  So maybe we should just add 
>>>>> the
>>>>> proposed functionality to our already-existing context menus 
>>>>> on
>>>>> NS?
>>>>
>>>> That'd be my suggestion, yes.
>>>
>>> Álvaro, could you please rework your patch along these lines?
>>
>> Certainly! How about the following scope...
>>
>> 1. Add a "Share..." context menu item via context-menu-mode.
>> 2. Make the "Share..." entry configurable (custom set to a 
>> function).
>> 3. The default function invokes xdg-open on GNU/Linux and 
>> ns-share on
>> macOS.
>>
>> Sound OK?
>
> Since xdg-open isn't the same as "sharing" doesn't that only 
> circumvent
> the policy to not add functionality that is only supported on 
> non-free
> platforms?

Ah, not in a position to answer questions about policy.

As the person submitting the contribution, I based the proposal on 
Stefan and Eli's feedback. I'm seeking confirmation to ensure I'm 
interpreting their suggestion correctly.

That said, please check the latest proposal (there was one more 
iteration) https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76120#98 
after Stefan requested a tweak.